Bug 66719 - fd.o should adopt DMCA policy and post notice/contacts to report infringements
Summary: fd.o should adopt DMCA policy and post notice/contacts to report infringements
Status: RESOLVED MOVED
Alias: None
Product: freedesktop.org
Classification: Unclassified
Component: Administration (show other bugs)
Version: unspecified
Hardware: Other Solaris
: medium normal
Assignee: fd.o Admin Massive
QA Contact:
URL: https://www.softwarefreedom.org/blog/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-09 01:09 UTC by Alan Coopersmith
Modified: 2019-02-16 16:33 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Alan Coopersmith 2013-07-09 01:09:02 UTC
As recommended by the Software Freedom Law Center in this post:
 https://www.softwarefreedom.org/blog/2013/apr/02/safe-harbor-compliance/
freedesktop.org should take the necessary steps there to reduce liability
in case any user of any fd.o hosted project posts material which someone
claims violates their copyrights.
Comment 1 Daniel Stone 2018-03-09 17:46:47 UTC
Yes, it's a good suggestion. Looking at this last night, I also put together a privacy policy/notice (https://www.freedesktop.org/wiki/PrivacyPolicy but please do feel free to suggest/make changes), as well as a draft statement on copyright.

Both the EU GDPR and US DMCA are very real things, so we really should do this, but even if they weren't, both privacy and copyright/licensing are very important to both us and our community, so I think we should regardless.

In order to actually obtain DMCA safe-harbor protection, we need to have a registered agent with a publicly-available name (though Slack, for instance, provides 'Copyright Agent' as the name, so it seems a role designation is fine), US street postal address (explicitly not a PO box), and telephone number. We need to provide this on our website, as well as registering it online with copyright.gov: https://www.copyright.gov/dmca-directory/

Some questions before we can put this live:
  * IANAL?!
  * Are SPI, e.g., happy to be our designated agents for receiving DMCA notifications?
  * Do SPI have any legal advice, opinions, or advice, on what we should be doing to obtain DMCA safe-harbor protection?
  * Equally, do they have any advice on how to word the bit about, 'please do get in touch if you think something we host infringes on your copyright, however 
  * How does this relate to the X.Org Foundation?
  * I hope we never have to rewrite Git history?



= freedesktop.org Copyright Policy =

freedesktop.org is dedicated to the creation, maintenance, and dissemination of legitimate open-source software and information.

Compliance with licensing and copyright law is something we take extremely seriously. We expect those using our software to respect our choice in copyright and licensing and comply with its terms. In return, we make every effort to comply with the licensing and copyright of any third-party software or information we receive.

freedesktop.org users are responsible for taking all reasonable precaution to ensure they do not post material which infringes the copyright rights of others, including license violations. This applies equally to open-source software, non-open-source software, and all other types of content posted on this site. If you post infringing material, we reserve the right to remove both the infringing mat
erial and/or your access to freedesktop.org services, either on a temporary or permanent basis.


== Copyright infringement notification ==

If you believe there is content on the freedesktop.org which violates software licensing terms, or otherwise violates copyright law, please inform us immediately. The Digital Millenium Copyright Act ('DMCA') provides a framework for handling claims of copyright-infringing distribution.

To be considered a valid notification under the DMCA, you must include all of the following information when you contact us:

  * A description of the copyrighted work which you are claiming has been infringed.
  * The clear, exact, and unambiguous location on freedesktop.org of the content you believe to be infringing. For example: 'In the git repository at https://cgit.freedesktop.org/libinteresting accessible as of March 9th 2018, the files src/interesting-algorithm.c and src/interesting-utils.c.' This may include multiple locations or more wide-ranging descriptions (e.g. 'all files in the directory src/copied-from-elsewhere/'), as long as it is precise and sufficient for us to locate all of the material relevant to your claim.
  * A clear statement of how to contact the complainant. Whilst electronic mail is preferred, a postal address or telephone number in the United States is also accepted.
  * A statement that the complaining party has a good faith belief that use of the material in the manner complained of is not authorized by the copyright owner, its agent, or the law.
  * A statement that the information in the notification is accurate, and under penalty of perjury, that the complaining party is authorized to act on behalf of the owner of an exclusive right that is allegedly infringed.
  
This information should be sent to freedesktop.org's designated copyright agent:
  [...]

If you do not include all the above information, this may not constitute a valid copyright-infringement notification covered under the DMCA.

Note: Under Section 512(f) of the DMCA, any person who knowingly materially misrepresents that material or activity is infringing may be subject to liability for damages. One company that sent an infringement notification seeking removal of online materials that were protected by the fair use doctrine was [ordered to pay such costs and legal fees](http://www.eff.org/cases/online-policy-group-v-diebold) under this provision. In addition, “in order for a copyright owner to proceed under the DMCA with “a good faith belief that use of the material in the manner complained of is not authorized by the copyright owner, its agent, or the law,” the owner must evaluate whether the material makes fair use of the copyright.” Lenz v. Universal, 572 F. Supp. 2d 1150, 1155 (2008)

We reserve the right to review the content you allege to be infringing, and make an independent determination of whether it is in fact an infringement of copyright.

If we choose to remove the content, we may display a copy of your DMCA notice in place of the removed content. Please also note that the information provided in your notice may be forwarded to the person who provided the allegedly infringing content, and a copy may also be sent (with your personal information removed) to a third party that may publish and/or annotate it for non-commercial research and educational purposes.


== If you have received a claim of infringement ==

If we receive a claim that material you have posted on freedesktop.org infringes on the copyright of others, we will investigate initially ourselves and inform you. When we do so, we may choose to remove the content or revoke your access to freedesktop.org services, either temporarily or permanently, as we deem necessary.

You have the right to respond, either to request assistance in determining if the material is infringing, or to provide a counter-notification that you have a genuine belief that the material is not infringing.

Such a counter-notification must include the following:

  * The clear, exact, and unambiguous location on freedesktop.org of the content in question.
  * Your full name, address, telephone number, and email address.
  * The statement: "I consent to the jurisdiction of the Federal District Court for the district in which my address is located, or if my address is outside of the United States, the judicial district in which [??? legally-responsible body] is located, and will accept service of process from the claimant." [??? legally-responsible body] is located in [??? jurisdiction].
  * The statement: "I swear, under penalty of perjury, that I have a good faith belief that the material was removed or disabled as a result of a mistake or misidentification of the material to be removed or disabled."
  * A scanned physical signature or valid electronic signature.

Please send your counter-notice to [???].

Please note that under Section 512(f) of the Copyright Act, any person who knowingly materially misrepresents that material or activity was removed or disabled by mistake or misidentification may be subject to liability.

After we receive your counter-notification, we will forward it to the party who submitted the original claim of copyright infringement. Please note that when we forward the counter-notification, it includes your personal information. If you are concerned about protecting your anonymity, please consult with an attorney about other options.

After we send out the counter-notification, the claimant must then notify us within 10 business days that the claimant has filed an action seeking a court order to restrain you from engaging in infringing activity relating to the material on freedesktop.org. If we receive such a notification, we will be unable to restore the material whilst any legal action is ongoing. If we do not receive such notification, we will reinstate access to the content if we consider it appropriate.


== Attribution ==

Some content on this page was provided by the [Electronic Frontier Foundation](https://www.eff.org/copyright), and is licensed under the [Creative Commons CC-BY-3.0-US](https://creativecommons.org/licenses/by/3.0/us/) license.
Comment 2 Keith Packard 2018-03-10 04:39:31 UTC
Could we run this by Karen Sandler and Bradley Kuhn and see what they think? Maybe they would tell us how to make sure this is sufficient, or if this would do more harm than good?
Comment 3 Daniel Stone 2018-03-10 09:56:24 UTC
(In reply to Keith Packard from comment #2)
> Could we run this by Karen Sandler and Bradley Kuhn and see what they think?
> Maybe they would tell us how to make sure this is sufficient, or if this
> would do more harm than good?

Sure, more than happy. Do you want to do that (you might know them better than me), or should I?
Comment 4 Daniel Stone 2018-03-16 10:26:59 UTC
(In reply to Daniel Stone from comment #3)
> Sure, more than happy. Do you want to do that (you might know them better
> than me), or should I?

(Keith did, in fact, get in touch with Karen & Bradley shortly after this.)
Comment 5 Keith Packard 2018-03-16 23:22:51 UTC
I met with Bradley Kuhn. He has gone through this process with some Conservancy projects using the following steps:

 1) Write up a draft document.
 2) Have our own counsel edit the draft to make sure it means what we want it to mean.

It looks like we've already done step 1). Bradley also had a recommendation for a lawyer well known in free software circles that we can ask to perform this service -- Pamela Chestek. With permission, I will forward the current draft to her. I would guess that this would cost less than $1k in fees; if we need a more accurate estimate, we can do that before proceeding.
Comment 6 Daniel Stone 2018-03-18 13:53:22 UTC
(In reply to Keith Packard from comment #5)
> I met with Bradley Kuhn. He has gone through this process with some
> Conservancy projects using the following steps:
> 
>  1) Write up a draft document.
>  2) Have our own counsel edit the draft to make sure it means what we want
> it to mean.
> 
> It looks like we've already done step 1). Bradley also had a recommendation
> for a lawyer well known in free software circles that we can ask to perform
> this service -- Pamela Chestek. With permission, I will forward the current
> draft to her. I would guess that this would cost less than $1k in fees; if
> we need a more accurate estimate, we can do that before proceeding.

That all sounds reasonable from me; happy for you to go ahead with it.
Comment 7 Daniel Stone 2018-03-19 11:52:17 UTC
Oh, while you're there, if they have any opinions on GDPR compliance ...
Comment 8 GitLab Migration User 2019-02-16 16:33:26 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/freedesktop/freedesktop/issues/128.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.